RealRangeUpper (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.instructions

## Class RealRangeUpper

- java.lang.Object
- - hlt.language.design.instructions.Instruction
  - - hlt.language.design.instructions.RealRangeUpper

-     public class RealRangeUpper
      extends Instruction

- - ### Field Summary

    - ### Fields inherited from class hlt.language.design.instructions.Instruction

      `ABS_I, ABS_R, ADD_II, ADD_IR, ADD_RI, ADD_RR, APPLY_COLL_I, APPLY_COLL_O, APPLY_COLL_R, APPLY_FHOM_I, APPLY_FHOM_O, APPLY_FHOM_R, APPLY_HOM_I, APPLY_HOM_O, APPLY_HOM_R, APPLY_IP_FHOM_I, APPLY_IP_FHOM_O, APPLY_IP_FHOM_R, APPLY_IP_HOM_I, APPLY_IP_HOM_O, APPLY_IP_HOM_R, ARRAY_INITIALIZE, ARRAY_SIZE, ARRAY_TO_MAP_I, ARRAY_TO_MAP_O, ARRAY_TO_MAP_R, BELONGS_I, BELONGS_O, BELONGS_R, CHECK_ARRAY_SIZE, D_INTER_1, D_INTER_2, D_SDIFF, D_UNION_1, D_UNION_2, D_XNION_1, D_XNION_2, DIV_II, DIV_IR, DIV_RI, DIV_RR, DUMMY_AND, DUMMY_BELONGS, DUMMY_EQU, DUMMY_FIRST, DUMMY_LAST, DUMMY_NEQ, DUMMY_NEXT, DUMMY_NEXT_C, DUMMY_NEXT_C_OFFSET, DUMMY_NEXT_OFFSET, DUMMY_OR, DUMMY_ORD, DUMMY_PREV, DUMMY_PREV_C, DUMMY_PREV_C_OFFSET, DUMMY_PREV_OFFSET, DUMMY_SET_ADD, DUMMY_SET_RMV, DUMMY_SIZE, DUMMY_STRCON, DUMMY_WRITE, END, EQU_II, EQU_OO, EQU_RR, FILL_ARRAY_IA, FILL_ARRAY_IM, FILL_ARRAY_OA, FILL_ARRAY_OM, FILL_ARRAY_RA, FILL_ARRAY_RM, FILL_MAP_IA, FILL_MAP_IM, FILL_MAP_OA, FILL_MAP_OM, FILL_MAP_RA, FILL_MAP_RM, FIRST_I, FIRST_O, FIRST_R, GET_ARRAY_I, GET_ARRAY_O, GET_ARRAY_R, GET_INDEXABLE, GET_INT_INDEXED_MAP_I, GET_INT_INDEXED_MAP_O, GET_INT_INDEXED_MAP_R, GET_MAP_I, GET_MAP_O, GET_MAP_R, GRT_II, GRT_IR, GRT_RI, GRT_RR, GTE_II, GTE_IR, GTE_RI, GTE_RR, I_TO_O, I_TO_R, INDEXABLE_SIZE, INT_RNG_LB, INT_RNG_UB, INTER, LAST_I, LAST_O, LAST_R, LST_II, LST_IR, LST_RI, LST_RR, LTE_II, LTE_IR, LTE_RI, LTE_RR, MAKE_ARRAY_I, MAKE_ARRAY_O, MAKE_ARRAY_R, MAKE_MAP_I, MAKE_MAP_O, MAKE_MAP_R, MAKE_SET_I, MAKE_SET_O, MAKE_SET_R, MAP_SIZE, MAP_TO_ARRAY, MAX_II, MAX_IR, MAX_RI, MAX_RR, MIN_II, MIN_IR, MIN_RI, MIN_RR, MINUS_I, MINUS_R, MODULO, MUL_II, MUL_IR, MUL_RI, MUL_RR, NEQ_II, NEQ_OO, NEQ_RR, NEXT_C_I, NEXT_C_I_OFFSET, NEXT_C_O, NEXT_C_O_OFFSET, NEXT_C_R, NEXT_C_R_OFFSET, NEXT_I, NEXT_I_OFFSET, NEXT_O, NEXT_O_OFFSET, NEXT_R, NEXT_R_OFFSET, NL_RETURN_I, NL_RETURN_O, NL_RETURN_R, NL_RETURN_VOID, NO_OP, NOT, O_TO_I, O_TO_R, ORD_I, ORD_O, ORD_R, POP_I, POP_O, POP_R, POWER, PREV_C_I, PREV_C_I_OFFSET, PREV_C_O, PREV_C_O_OFFSET, PREV_C_R, PREV_C_R_OFFSET, PREV_I, PREV_I_OFFSET, PREV_O, PREV_O_OFFSET, PREV_R, PREV_R_OFFSET, PUSH_0_I, PUSH_0_R, PUSH_1_I, PUSH_ARRAY_I, PUSH_ARRAY_O, PUSH_ARRAY_R, PUSH_BOXED_FALSE, PUSH_BOXED_TRUE, PUSH_BOXED_VOID, PUSH_EMPTY_STR, PUSH_FALSE, PUSH_INT_RNG, PUSH_MAP_I, PUSH_MAP_O, PUSH_MAP_R, PUSH_NULL, PUSH_ONE, PUSH_REAL_RNG, PUSH_SET_I, PUSH_SET_O, PUSH_SET_R, PUSH_TRUE, PUSH_VOID, PUSH_ZERO_I, PUSH_ZERO_R, R_TO_I, R_TO_O, RANDOM, REAL_RNG_LB, REAL_RNG_UB, RECONCILE_INDEXABLES, RETURN_I, RETURN_O, RETURN_R, RETURN_VOID, SDIFF, SET_ADD_I, SET_ADD_O, SET_ADD_R, SET_ARRAY_I, SET_ARRAY_O, SET_ARRAY_R, SET_COPY, SET_INT_INDEXED_MAP_I, SET_INT_INDEXED_MAP_O, SET_INT_INDEXED_MAP_R, SET_MAP_I, SET_MAP_O, SET_MAP_R, SET_RMV_I, SET_RMV_O, SET_RMV_R, SHUFFLE_MAP_I, SHUFFLE_MAP_O, SHUFFLE_MAP_R, SQRT, STOP, STOP_ON_FALSE, SUB_II, SUB_IR, SUB_RI, SUB_RR, SUBSET, UNION, WRITE_R, XNION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealRangeUpper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(Runtime r)` Execute this instruction in the specified runtime by changing the runtime's state according to this instruction's operational semantics.

    - ### Methods inherited from class hlt.language.design.instructions.Instruction

      `dummify, equals, hashCode, isDummy, isReturn, name, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RealRangeUpper

          public RealRangeUpper()

  - ### Method Detail

    - #### execute

          public final void execute(Runtime r)
                             throws NullValueException

      Description copied from class: `Instruction`
      Execute this instruction in the specified runtime by changing the runtime's state according to this instruction's operational semantics.
      Overrides:
        `execute` in class `Instruction`
      Throws:
        `NullValueException`